Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.protocol.fgftp
Class FgftpDirectoryThread

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--com.macromedia.generator.protocol.fgftp.FgftpDirectoryThread

All Implemented Interfaces:
  java.lang.Runnable

class FgftpDirectoryThread
extends java.lang.Thread

Field Summary
`(package private) static java.util.Hashtable` | `_fld016D`
`(package private) static int` | `_fld016E`
`(package private) static int` | `_fld016F`
`(package private) FgftpURLConnection` | `_fld0170`
`(package private) sun.net.ftp.FtpClient` | `_fld0171`
`(package private) java.net.URL` | `_fld0172`
`(package private) java.io.InputStream` | `is`
`(package private) java.io.PrintStream` | `os`

Fields inherited from class java.lang.Thread
`inheritableThreadLocals, MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY, threadLocals`

Constructor Summary
`(package private)` | `FgftpDirectoryThread(FgftpURLConnection fgftpurlconnection, sun.net.ftp.FtpClient ftpclient, java.net.URL url, java.io.InputStream inputstream, java.io.OutputStream outputstream)`

Method Summary
`(package private) void` | `_mth016D(int i, java.lang.String s, java.lang.String s1, java.net.URL url)`
`(package private) void` | `_mth016E(java.lang.String s)`
`(package private) static java.lang.String` | `_mth016F(java.lang.String s)`
`(package private) java.lang.String` | `_mth0170(java.lang.String s)`
`(package private) static void` | `()`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _fld016D

    static java.util.Hashtable _fld016D

### _fld016E

    static final int _fld016E

### _fld016F

    static final int _fld016F

### _fld0170

    FgftpURLConnection _fld0170

### _fld0171

    sun.net.ftp.FtpClient _fld0171

### os

    java.io.PrintStream os

### is

    java.io.InputStream is

### _fld0172

    java.net.URL _fld0172

Constructor Detail

### FgftpDirectoryThread

    FgftpDirectoryThread(FgftpURLConnection fgftpurlconnection,
                         sun.net.ftp.FtpClient ftpclient,
                         java.net.URL url,
                         java.io.InputStream inputstream,
                         java.io.OutputStream outputstream)

Method Detail

### _mth016D

    void _mth016D(int i,
                  java.lang.String s,
                  java.lang.String s1,
                  java.net.URL url)

### _mth016E

    void _mth016E(java.lang.String s)

### _mth016F

    static java.lang.String _mth016F(java.lang.String s)

### _mth0170

    java.lang.String _mth0170(java.lang.String s)

### run

    public void run()

  Overrides:
    `run` in class `java.lang.Thread`

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD